import { MetadataWidget, IMetadataWidgetProps, IMetadata, IMetadataDisplayProps } from '@elyra/metadata-common';
import { IDictionary } from '@elyra/services';
import React from 'react';
export interface IRuntimesDisplayProps extends IMetadataDisplayProps {
    metadata: IMetadata[];
    openMetadataEditor: (args: any) => void;
    updateMetadata: () => void;
    schemaspace: string;
    sortMetadata: boolean;
    className: string;
    schemas?: IDictionary<any>[];
    titleContext?: string;
    appendToTitle?: boolean;
}
/**
 * A widget for displaying runtimes.
 */
export declare class RuntimesWidget extends MetadataWidget {
    constructor(props: IMetadataWidgetProps);
    fetchMetadata(): Promise<any>;
    private getSchemaTitle;
    addMetadata(schema: string, titleContext?: string): void;
    renderDisplay(metadata: IMetadata[]): React.ReactElement;
}
